GET api/medistreamprogramstepapi/step/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
MediStreamProgramStepViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| program_id | globally unique identifier |
Required |
|
| code | integer |
Required Range: inclusive between 0 and ∞ |
|
| name | string |
Required |
|
| medistream_program_step_type_id | globally unique identifier |
Required |
|
| active | boolean |
Required |
Response Formats
application/json, text/json
Sample:
{
"id": "345cb196-5686-4c21-a845-71b0e2faf29e",
"program_id": "21176470-6f32-4a9c-8cfb-814981b8a625",
"code": 3,
"name": "sample string 4",
"medistream_program_step_type_id": "94772b7e-0dbd-4ca2-ab45-47559bbfcdbc",
"active": true
}
application/xml, text/xml
Sample:
<medistream_program_step xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel"> <active>true</active> <code>3</code> <id>345cb196-5686-4c21-a845-71b0e2faf29e</id> <medistream_program_step_type_id>94772b7e-0dbd-4ca2-ab45-47559bbfcdbc</medistream_program_step_type_id> <name>sample string 4</name> <program_id>21176470-6f32-4a9c-8cfb-814981b8a625</program_id> </medistream_program_step>